Bug 167195 - net-p2p/transmission-daemon do not compile
Summary: net-p2p/transmission-daemon do not compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-22 10:00 UTC by Yuri Vorobyev
Modified: 2012-06-10 14:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Vorobyev 2012-04-22 10:00:24 UTC
Building port transmission-daemon stops with error.
Build log is here http://pastebin.com/y9PJ76wf

How-To-Repeat: cd /usr/ports/net-p2p/transmission-daemon; make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-04-22 10:06:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

reclassify and assign.
Comment 2 Chris Rees freebsd_committer 2012-06-03 20:02:36 UTC
State Changed
From-To: open->feedback

I'm really sorry, but I can't reproduce this at all.  Do you have 
anything creative in make.conf?
Comment 3 Yuri Vorobyev 2012-06-03 20:08:03 UTC
root@nas:/root#cat /etc/make.conf
KERNCONF=MICROSERV

#NO_SENDMAIL=   true
NO_GAMES=      true

CPUTYPE?=athlon64
WITHOUT_X11=YES

MASTER_SITE_OVERRIDE= 
http://ftp6.ru.freebsd.org/pub/FreeBSD/distfiles/${DIST_SUBDIR}/
#MASTER_SITE_SOURCEFORGE= 
http://citylan.dl.sourceforge.net/project/%SUBDIR%/

SUP_UPDATE=     yes
SUPFILE=        /usr/local/etc/csup-src

# added by use.perl 2012-02-19 10:10:23
PERL_VERSION=5.12.4

DISABLE_SIZE=yes
FETCH_CMD=/usr/local/bin/wget -t 2 -c
Comment 4 dfilter service freebsd_committer 2012-06-06 16:51:34 UTC
crees       2012-06-06 15:51:22 UTC

  FreeBSD ports repository

  Added files:
    net-p2p/transmission-cli/files patch-libtransmission-fdlimit.c 
  Log:
  posix-fadvise was added to FreeBSD on 04/November 2011 [1], which is picked
  up by the configure script.
  
  However, the function is marked as available, but libtransmission/fdlimit.c
  has a conditional include on fcntl.h, which causes the compilation to fail.
  
  This patch removes the condition on fcntl.h inclusion, hopefully fixing the
  build.
  
  PR:             ports/167195
  
  [1] http://svnweb.freebsd.org/base/head/sys/sys/fcntl.h?view=log#rev227070
  
  Revision  Changes    Path
  1.1       +13 -0     ports/net-p2p/transmission-cli/files/patch-libtransmission-fdlimit.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2012-06-06 16:52:35 UTC
State Changed
From-To: feedback->patched

Please update your ports tree and check that 
patch-libtransmission-fdlimit.c is in 
/usr/ports/net-p2p/transmission-cli/files 

This should have fixed it, please would you test?
Comment 6 dfilter service freebsd_committer 2012-06-10 14:14:00 UTC
crees       2012-06-10 13:13:45 UTC

  FreeBSD ports repository

  Removed files:
    net-p2p/transmission-cli/files patch-libtransmission-fdlimit.c 
  Log:
  The conditional include is actually fine-- the problem in the PR was solved
  after more investigation by reinstalling world; there was an out-of-date header
  present.
  
  PR:             ports/167195
  
  Revision  Changes    Path
  1.2       +0 -13     ports/net-p2p/transmission-cli/files/patch-libtransmission-fdlimit.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Chris Rees freebsd_committer 2012-06-10 14:14:22 UTC
State Changed
From-To: patched->closed

Delighted to hear it works now :)